Skip to main content
POST
/
api
/
v1
/
platform
/
scrapers
/
linkedin
/
profile-posts
List LinkedIn profile posts
curl --request POST \
  --url https://developer.thehog.ai/api/v1/platform/scrapers/linkedin/profile-posts \
  --header 'Content-Type: application/json' \
  --header 'X-Access-Key: <api-key>' \
  --header 'X-Secret-Key: <api-key>' \
  --data '
{
  "username": "some-public-id",
  "maxPosts": 20
}
'
{
  "data": {
    "username": "<string>",
    "posts": [
      {
        "activityId": "<string>",
        "text": "<string>",
        "postUrl": "<string>",
        "postedAt": "<string>",
        "authorName": "<string>",
        "authorHeadline": "<string>",
        "authorProfileUrl": "<string>",
        "authorProfileUsername": "<string>",
        "totalReactions": 123,
        "commentsCount": 123,
        "repostsCount": 123,
        "isReshare": true,
        "repostedBy": {
          "name": "<string>",
          "publicIdentifier": "<string>"
        },
        "contentType": "<string>",
        "contentData": {},
        "hashtags": [
          "<string>"
        ]
      }
    ],
    "bio": "<string>",
    "author": {
      "name": "<string>",
      "headline": "<string>",
      "linkedinUrl": "<string>",
      "avatar": "<string>",
      "publicIdentifier": "<string>"
    }
  },
  "meta": {
    "requestId": "<string>"
  }
}

POST /api/v1/platform/scrapers/linkedin/profile-posts

List recent LinkedIn posts from a profile.
Retrieve recent posts for a LinkedIn profile username.

Example

curl -X POST https://developer.thehog.ai/api/v1/platform/scrapers/linkedin/profile-posts \
  -H "X-Access-Key: ak_xxxxxxxxxxxxxxxx" \
  -H "X-Secret-Key: sk_xxxxxxxxxxxxxxxx" \
  -H "Content-Type: application/json" \
  -d '{"username": "some-public-id", "maxPosts": 20}'

Authorizations

X-Access-Key
string
header
required

The public API key from the Credentials page.

X-Secret-Key
string
header
required

The API secret shown when the credential is created.

Body

application/json
username
string
required
Example:

"some-public-id"

maxPosts
number
default:20
Required range: 1 <= x <= 200

Response

LinkedIn profile posts.

data
object
required
meta
object
required